/*
    Advanced Explorer (c) 1999-2006 by D.G. Sureau

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    webmaster@scriptol.org
    http://www.scriptol.org
*/
package ae;

import java.lang.*;


public class AEWin
{

   AEWin() {  }

//   static { System.loadLibrary("AEWin.dll");}

   public native int NFreeSpace(int unit);
   public native int NDiskSpace(int unit);


   /**
       0 = a
       2 = c
       etc...
     */

   public void main(String test[])
   {
     AEWin aw = new AEWin();

     System.out.println("Entering AEWin main");

     int spaceC = aw.FreeSpace(2);
     int spaceD = aw.FreeSpace(3);
     int sizeC = aw.DiskSpace(2);
     int sizeD = aw.DiskSpace(3);

     System.out.println("Unit C  " + spaceC + " free, out of " + sizeC);
     System.out.println("Unit D  " + spaceD + " free, out of " + sizeD);
   };

   public int FreeSpace(int unit)
   {
    int space;

    space = NFreeSpace(unit);

    return space;
   }


  public  int DiskSpace(int unit)
  {
   int size = NDiskSpace(unit);
   return size;
  }

/*
   public native boolean NFormatA();
   public native boolean NFormatB();
   public native String NDiskList();

   public boolean DiskFormat(String dsk)
   {
    String DSK = dsk.toUpperCase();

    if(DSK == "a:") return(NFormatA());
    if(DSK == "b:") return(NFormatB());
    return false;
   }


   public String[] DiskList()
   {
     Vector vlist = new Vector();
     String result = NDiskList(void);

     StringTokenizer st = new StringTokenizer(result, ":");
     while (st.hasMoreTokens())
     {
       vlist.addElement(st.nextToken() + ":");
     }

     String temp[] = new String[vlist.size()];
     vlist.copyInto(temp);

     return temp;
   }
*/
}
