/*
    Advanced Explorer (c) 1999-2006 by D.G. Sureau

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    webmaster@scriptol.org
    http://www.scriptol.org
*/
package comgr;

/**
 * A pastel coloured palette.
 */

import java.awt.image.*;


public class PalettePastel extends Palette
{

	PalettePastel()
  {
		for (int ri = 0; ri < r.length; ri++)
			if (ri < 85)
				r[ri] = (byte)(ri * 3);
			else if (ri > 170)
				r[ri] = (byte)((255 - ri) * 3);
			else
				r[ri] = (byte)255;

		for (int gi = 0; gi < g.length; gi++)
			if (gi < 85)
				g[gi] = (byte)255;
			else if (gi < 170)
				g[gi] = (byte)((170 - gi) * 3);
			else
				g[gi] = (byte)((gi - 170) * 3);

		for (int bi = 0; bi < b.length; bi++)
			if (bi < 85)
				b[bi] = (byte)((85 - bi) * 3);
			else if (bi < 170)
				b[bi] = (byte)((bi - 85) * 3);
			else
				b[bi] = (byte)255;

		colorModel = new IndexColorModel(8, r.length, r, g, b);
	}
}

