/*
    Advanced Explorer (c) 1999-2006 by D.G. Sureau

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    webmaster@scriptol.org
    http://www.scriptol.org
*/
package common;

import java.awt.*;
import java.awt.event.*;

public class DialogMessage extends DDialog implements ActionListener
{
  Button buttonOk;
  Label labelMessage;

  public DialogMessage(java.awt.Frame parent)
  {
	super(parent);

	setSize(getInsets().left + getInsets().right + 384,getInsets().top + getInsets().bottom + 100);
        setResizable(false);
        setVisible(false);

	labelMessage = new java.awt.Label();
	labelMessage.setBounds(16, 16, 360, 24);
	labelMessage.setAlignment(Label.CENTER);
	labelMessage.setFont(new Font("Dialog", Font.PLAIN, 16));
	panel.add(labelMessage);

	buttonOk = new Button("Ok");
	buttonOk.setBounds(260, 60, 96, 24);
	buttonOk.addActionListener(this);
	panel.add(buttonOk);

	setTitle(" Warning");
}

  public DialogMessage(Frame parent, String message)
  {
    this(parent);
    setMessage(message);
  }

    public void setMessage(String message)
    {
      labelMessage.setText(message);
    }


 public void actionPerformed(java.awt.event.ActionEvent event)
 {
   Object object = event.getSource();
   if (object == buttonOk)  setVisible(false);
 }

}
